
-- @SqlSnippetPriority 400
-- @SqlModuleOrdering 0

-- The following source code ("Code") may only be used in accordance with the terms
-- and conditions of the license agreement you have with IBM Corporation. The Code 
-- is provided to you on an "AS IS" basis, without warranty of any kind.  
-- SUBJECT TO ANY STATUTORY WARRANTIES WHICH CAN NOT BE EXCLUDED, IBM MAKES NO 
-- WARRANTIES OR CONDITIONS EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO, THE IMPLIED WARRANTIES OR CONDITIONS OF MERCHANTABILITY, FITNESS FOR A 
-- PARTICULAR PURPOSE, AND NON-INFRINGEMENT, REGARDING THE CODE. IN NO EVENT WILL 
-- IBM BE LIABLE TO YOU OR ANY PARTY FOR ANY DIRECT, INDIRECT, SPECIAL OR OTHER 
-- CONSEQUENTIAL DAMAGES FOR ANY USE OF THE CODE, INCLUDING, WITHOUT LIMITATION, 
-- LOSS OF, OR DAMAGE TO, DATA, OR LOST PROFITS, BUSINESS, REVENUE, GOODWILL, OR 
-- ANTICIPATED SAVINGS, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH 
-- DAMAGES. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF 
-- INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATION OR EXCLUSION MAY 
-- NOT APPLY TO YOU.



-- MDM_TODO: CDKWB0044I Review CDDWLCOLUMNTP LOCALE_SENSITIVE settings
-- MDM_TODO: CDKWB0043I You may need to add entries to the INTERNALTXNKEY table for any new transactions


-- Notes
-- MDM_TODO: CDKWB0046I Statements are placed in the generated SQL file when user changes are required.
-- 1. Edit the following SQL files following any associated instructions.
-- 2. Connect to the database.
-- 3. Run each SQL file as shown below and in the same order.
-- 			sqlplus userid/password@host @X_SETUP_ORACLE.sql
-- 			sqlplus userid/password@host @X_TRIGGERS_ORACLE.sql
-- 			sqlplus userid/password@host @X_CONSTRAINTS_ORACLE.sql
--			sqlplus userid/password@host @X_ERRORS_100_ORACLE.sql
-- 			sqlplus userid/password@host @X_MetaData_ORACLE.sql
-- 			sqlplus userid/password@host CONFIG_XMLSERVICES_RESPONSE_ORACLE.sql
-- 			sqlplus userid/password@host @X_CODETABLES_ORACLE.sql

----------------------------------------------
-- Component type
----------------------------------------------

INSERT INTO DB2INST1.COMPONENTTYPE (COMPONENT_TYPE_ID, DWL_PROD_TP_CD, COMPON_TYPE_VALUE, COMPON_LONG_DESC, LAST_UPDATE_DT, COMPONENT_CLASS ) 
   VALUES ( 1010010, 1, 'RDValue', null, CURRENT_TIMESTAMP, null);

----------------------------------------------
-- Error messages
----------------------------------------------


---------------------------------------------
-- Metadata setup
---------------------------------------------


----------------------------------------------
-- V_GROUP
----------------------------------------------


CREATE SEQUENCE DB2INST1.GROUPDWLTABLE_ID_SEQ START WITH 1010000 INCREMENT BY 1 MINVALUE 1010000 MAXVALUE 1019999 CACHE 10;


DROP SEQUENCE DB2INST1.GROUPDWLTABLE_ID_SEQ;

----------------------------------------------
-- V_ELEMENTATTRIBUTE
----------------------------------------------


CREATE SEQUENCE DB2INST1.V_ELATTR_ID_SEQ START WITH 1010000 INCREMENT BY 1 MINVALUE 1010000 MAXVALUE 1019999 CACHE 10;

DROP SEQUENCE DB2INST1.V_ELATTR_ID_SEQ;

----------------------------------------------
-- Transactions
----------------------------------------------


----------------------------------------------
-- CDBUSINESSTXTP
----------------------------------------------


----------------------------------------------
-- CDINTERNALTXNTP
----------------------------------------------




----------------------------------------------
-- BUSINTERNALTXN
----------------------------------------------



----------------------------------------------
-- BUSINESSTXREQRESP
----------------------------------------------



----------------------------------------------
-- INTERNALTXREQRESP
----------------------------------------------


----------------------------------------------
-- GROUPTXMAP
----------------------------------------------



----------------------------------------------
-- TAIL setup
----------------------------------------------

----------------------------------------------
-- Behavior extension: addRDValue
----------------------------------------------
INSERT INTO DB2INST1.EXTENSIONSET (EXTENSION_SET_ID, EXT_SET_NAME, EXT_SET_DESC, JAVA_CLASS_NAME, DWL_PROD_TP_CD, DWL_EXTENSION_IND, ASSERT_RULE_TP_CD, INACTIVE_IND, PRIORITY, LAST_UPDATE_DT) 
   VALUES (1010011, 'addRDValue', null, 'com.ibm.x.behaviour.RDValue', 1, 'Y', 2, 'N', 1, CURRENT_TIMESTAMP);
INSERT INTO DB2INST1.CDCONDITIONVALTP (COND_VAL_TP_CD, CONDITION_TP_CD, NAME, LAST_UPDATE_DT) 
  VALUES (1010013, 3, 'addRDValue', CURRENT_TIMESTAMP);
  
INSERT INTO DB2INST1.EXTSETCONDVAL (EXTSET_CONDVAL_ID, COND_VAL_TP_CD, EXTENSION_SET_ID, LAST_UPDATE_DT) 
   VALUES (1010012, 1010013, 1010011, CURRENT_TIMESTAMP);


INSERT INTO DB2INST1.EXTSETCONDVAL (EXTSET_CONDVAL_ID, COND_VAL_TP_CD, EXTENSION_SET_ID, LAST_UPDATE_DT) 
   VALUES (1010014, 20, 1010011, CURRENT_TIMESTAMP);

----------------------------------------------
-- Behavior extension: addRRDValueSet
----------------------------------------------
INSERT INTO DB2INST1.EXTENSIONSET (EXTENSION_SET_ID, EXT_SET_NAME, EXT_SET_DESC, JAVA_CLASS_NAME, DWL_PROD_TP_CD, DWL_EXTENSION_IND, ASSERT_RULE_TP_CD, INACTIVE_IND, PRIORITY, LAST_UPDATE_DT) 
   VALUES (1010021, 'addRRDValueSet', null, 'com.ibm.x.behaviour.RDValue', 1, 'Y', 2, 'N', 1, CURRENT_TIMESTAMP);
INSERT INTO DB2INST1.CDCONDITIONVALTP (COND_VAL_TP_CD, CONDITION_TP_CD, NAME, LAST_UPDATE_DT) 
  VALUES (1010023, 3, 'addRDValueSet', CURRENT_TIMESTAMP);
  
INSERT INTO DB2INST1.EXTSETCONDVAL (EXTSET_CONDVAL_ID, COND_VAL_TP_CD, EXTENSION_SET_ID, LAST_UPDATE_DT) 
   VALUES (1010022, 1010023, 1010021, CURRENT_TIMESTAMP);


INSERT INTO DB2INST1.EXTSETCONDVAL (EXTSET_CONDVAL_ID, COND_VAL_TP_CD, EXTENSION_SET_ID, LAST_UPDATE_DT) 
   VALUES (1010024, 20, 1010021, CURRENT_TIMESTAMP);

----------------------------------------------
-- Behavior extension: updateRDValueSet
----------------------------------------------
INSERT INTO DB2INST1.EXTENSIONSET (EXTENSION_SET_ID, EXT_SET_NAME, EXT_SET_DESC, JAVA_CLASS_NAME, DWL_PROD_TP_CD, DWL_EXTENSION_IND, ASSERT_RULE_TP_CD, INACTIVE_IND, PRIORITY, LAST_UPDATE_DT) 
   VALUES (1010031, 'updateRDValueSet', null, 'com.ibm.x.behaviour.RDValue', 1, 'Y', 2, 'N', 1, CURRENT_TIMESTAMP);
INSERT INTO DB2INST1.CDCONDITIONVALTP (COND_VAL_TP_CD, CONDITION_TP_CD, NAME, LAST_UPDATE_DT) 
  VALUES (1010033, 3, 'updateRDValueSet', CURRENT_TIMESTAMP);
  
INSERT INTO DB2INST1.EXTSETCONDVAL (EXTSET_CONDVAL_ID, COND_VAL_TP_CD, EXTENSION_SET_ID, LAST_UPDATE_DT) 
   VALUES (1010032, 1010033, 1010031, CURRENT_TIMESTAMP);


INSERT INTO DB2INST1.EXTSETCONDVAL (EXTSET_CONDVAL_ID, COND_VAL_TP_CD, EXTENSION_SET_ID, LAST_UPDATE_DT) 
   VALUES (1010034, 20, 1010031, CURRENT_TIMESTAMP);

----------------------------------------------
-- Behavior extension: updateRDValue
----------------------------------------------
INSERT INTO DB2INST1.EXTENSIONSET (EXTENSION_SET_ID, EXT_SET_NAME, EXT_SET_DESC, JAVA_CLASS_NAME, DWL_PROD_TP_CD, DWL_EXTENSION_IND, ASSERT_RULE_TP_CD, INACTIVE_IND, PRIORITY, LAST_UPDATE_DT) 
   VALUES (1010041, 'updateRDValue', null, 'com.ibm.x.behaviour.RDValue', 1, 'Y', 2, 'N', 1, CURRENT_TIMESTAMP);
INSERT INTO DB2INST1.CDCONDITIONVALTP (COND_VAL_TP_CD, CONDITION_TP_CD, NAME, LAST_UPDATE_DT) 
  VALUES (1010043, 3, 'updateRDValue', CURRENT_TIMESTAMP);
  
INSERT INTO DB2INST1.EXTSETCONDVAL (EXTSET_CONDVAL_ID, COND_VAL_TP_CD, EXTENSION_SET_ID, LAST_UPDATE_DT) 
   VALUES (1010042, 1010043, 1010041, CURRENT_TIMESTAMP);


INSERT INTO DB2INST1.EXTSETCONDVAL (EXTSET_CONDVAL_ID, COND_VAL_TP_CD, EXTENSION_SET_ID, LAST_UPDATE_DT) 
   VALUES (1010044, 20, 1010041, CURRENT_TIMESTAMP);



